#!/bin/bash

LAN=$(grep localnet: /etc/fuss-server/fuss-server.yaml | awk '{print $2}')

if ! [ $LAN ]; then
    echo cannot find LAN address, stopping
    exit 1
fi

LISTA=$(nmap -sn $LAN | grep 'Nmap scan report for' | awk '{print $5}')

SSH_OPTIONS="-o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null -o BatchMode=yes"

declare -A WHITELIST
#WHITELIST["fuss-ser.fuss.blz"]=yes

for i in $LISTA; do
   if ! [ ${WHITELIST["$i"]} ]; then
       ssh $SSH_OPTIONS $i poweroff
   else
       echo $i is whitelisted
   fi
done
